<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * Widget for view comments for current model
 */
class CommentsWidget extends CommentsBaseWidget
{
    /**
     * @var string moderator email
     */
    public $moderatorEmail;

    /**
     * @var bool If notify moderator on new comments
     */
    public $notifyModeratorOnNew = true;

    /**
     * @var bool Allow anonymous comments or not
     */
    public $allowAnonymous = true;

    /**
     * @var bool If comments needs moderator approve
     */
    public $dontNeedApprove = false;
    /**
     * @var bool If threaded commenting allowed (only 1 level)
     */
    public $oneLevelReply = false;

    /**
     * @var int comments per page
     */
    public $commentsPerPage = 5;

    /**
     * @var int how many pagination pages numbers will be displayed at the same time
     */
    public $paginationPagesCount = 5;

    /**
     * @var What fields in anonymous form will be required (default all)
     */
    public $requiredForAnonymous = null;
    /**
     * Override base init. For skipping scripts and css init.
     *
     * @return void
     */
    public function init()
    {

    }


    /**
     * Render CommentsWidget view
     *
     * @return void
     */
    public function run()
    {
        $this->render('CommentsWidget');
    }
}

?>
