<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 *
 * Execute search for users which existing in DB.
 * Fields which will used for search are configurable.
 */
class FriendsSearchWidget extends BaseWidget
{
    /**
     * @var array Array of User model fields which will used for search
     */
    public $userFields = array(
        'username'
    );

    /**
     * @var array Array of Profile model fields which will used for search
     */
    public $profileFields = array(
        'firstname',
        'gender',
        'birthday'
    );

    //TODO: move to global context?
    public $searchResultPageUrl = '';

    public function init()
    {
        parent::init();

        foreach ($this->userFields as $f) {
            if (!User::model()->hasAttribute($f)) {
                throw new Exception("Attribute '$f' not available in 'userFields'");
            }
        }

        foreach ($this->profileFields as $f) {
            if (!Profile::model()->hasAttribute($f)) {
                throw new Exception("Attribute '$f' not available in 'profileFields'");
            }
        }

    }


    public function run()
    {
        $user = new UserSearch('view');
        $profile = new Profile();
        if (isset($_GET['UserSearch'])) {
            $user->attributes = $_GET['UserSearch'];

        }
        if (isset($_GET['Profile'])) {
            $profile->attributes = $_GET['Profile'];
        }

        $this->render('FriendsSearchWidget', array('user' => $user, 'profile' => $profile));
    }


}
