<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
class BasicPersonalisationRule
{
    /**
     * get list of personalization attributes for user and content
     * check if they match
     *
     * @param int   $userId
     * @param array $contentPersonalisationAttributes
     *
     * @return bool if true they matched. false otherwise
     */
    public function checkAccess($userId, $contentPersonalisationAttributes)
    {
        if (empty($contentPersonalisationAttributes)) {
            return true;
        }

        $userPersonalisationAttributes = PersonalisationAttribute::flatListForUser($userId);
        foreach ($contentPersonalisationAttributes as $cpa) {
            if (in_array($cpa, $userPersonalisationAttributes)) {
                return true;
            }
        }

        return false;
    }


}
