<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
?>

<?php

$form = $this->beginWidget('CActiveForm',
                            array('id'=>'order-finish-form',
                                'enableAjaxValidation'=>true,
                                )
                            );
?>
<div class="row">

<table width="100%" cellspacing="0" cellpadding="0" class="items">
    <colgroup>
        <col width="10%">
        <col width="65%">
        <col width="10%">
        <col width="10%">
    </colgroup>
    <tr>
        <th class="item_quantity">  <?php echo Item::model()->getAttributeLabel('quantity'); ?></th>
        <th class="item_title">     <?php echo Item::model()->getAttributeLabel('title'); ?></th>
        <th class="item_price">     <?php echo Item::model()->getAttributeLabel('price'); ?></th>
        <th class="item_sum">       <?php echo ShoppingcartModule::t('Total'); ?></th>
    </tr>
    <?php
    $sum = 0;
    foreach($this->items as $i=>$item):
        $sum += $item->price * $item->quantity;
        ?>
        <tr>
            <td class="item_quantity"><?php echo $item->quantity ?></td>
            <td class="item_title">
                <a <?php if($this->link_items_to_page){echo "href='".$item->referrer."'";} ?>>
                    <?php echo $item->title; ?>
                </a>
            </td>
            <td class="item_price"><?php echo ($item->price != 0)?Item::addCurrency($item->price):ShoppingcartModule::t('free'); ?></td>
            <td class="item_sum"><?php echo ($item->price != 0)?Item::addCurrency(($item->price * $item->quantity)):ShoppingcartModule::t('free'); ?></td>
        </tr>
        <?php endforeach; ?>
    <tfoot>
    <td colspan="3" class="total_title"><?php echo ShoppingcartModule::t('Total'); ?></td>
    <td class="item_sum"><?php echo Item::addCurrency($sum + Yii::app()->getModule('shoppingcart')->shipping_costs); ?></td>
    </tfoot>
</table>

</div><!-- row - items table -->

<div class="row block">
    <label><?php echo $this->order->getAttributeLabel('shipping_info'); ?></label>
    <div class="row">
        <?php echo $this->shipping_info; ?>
    </div>
</div>

<div class="row block">
    <label><?php echo $this->order->getAttributeLabel('payment_info'); ?></label>
    <div class="row">
        <?php echo $this->payment_info; ?>
    </div>
</div>

<?php if(Yii::app()->user->getState('step_2')==true): ?>
<div class="row block">
<label><?php echo ShoppingcartModule::t('User Info') ?></label>
<table class="user" width="500">
    <colgroup>
        <col width="50%"><col width="50%">
    </colgroup>
<?php foreach($this->user->attributes as $fieldName => $field):
              if(substr($fieldName,-2) == 'id' || empty($field)) continue; ?>
    <tr>
        <td class="label"><?php echo $this->user->getAttributeLabel($fieldName); ?></td>
        <td class="value"><?php echo $field; ?></td>
    </tr>
<?php endforeach; ?>
</table>
</div>
<?php endif; ?>

<div class="row block captcha">
    <?php
    if (!(!CCaptcha::checkRequirements() || !Yii::app()->user->isGuest || !Yii::app()->getModule('shoppingcart')->captchaEnabled)):
        $this->widget('CCaptcha',array('captchaAction' => '/shoppingcart/shoppingcart/captcha' , 'buttonLabel'=>ShoppingcartModule::t('Get a new code')));
        echo $form->textField($this->order, 'verifyCode');
        echo $form->error($this->order,'verifyCode');
    else:
        echo $form->hiddenField($this->order, 'verifyCode');
    endif;
    ?>
</div>

<input type="hidden" name="step" value="<?php echo $this->step ?>">

<div class="row controls">
    <?php echo CHtml::submitButton(ShoppingcartModule::t('Finish')); ?>
</div>

<?php $this->endWidget(); ?>

