<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 *
 * @author Vitalii Kovalchuk <vitaly.kovalchuk@oberig.com>
 */

/**
 * tagcloud preview controller class
 *
 * @author Vitalii Kovalchuk <vitaly.kovalchuk@oberig.com>
 *
 */
class PreviewController extends Controller
{
    /**
     * default action used to show widget preview
     *
     * @return void
     *
     * @throws Exception
     */
    public function actionIndex()
    {
        $folderIds = Yii::app()->request->getQuery('folderIds', null);
        $usePersonalisation = Yii::app()->request->getQuery('usePersonalisation', 'Y');

        if (empty($folderIds)) {
            throw new Exception(TagcloudModule::t('TagcloudModule error: folderIds is required and can`t be blank'));
        }

        preg_match_all('/([0-9]+)/', $folderIds, $folderIds);

        array_walk(
            $folderIds[0],
            function(&$item)
            {
                $item = '10002.'.$item;
            }
        );

        $this->widget(
            'tagcloud.widgets.TagcloudWidget',
            array(
                'folderIds'=>$folderIds[0],
                'usePersonalisation'=>($usePersonalisation == 'Y' ? true : false)
            )
        );
    }
}
