<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * Navigation module class file.
 */
class TagcloudModule extends CWebModule
{
    /**
     * @var int the number of seconds in which the cached value will expire. 0 means never expire.
     */
    public $cacheTime = 60;

    /**
     * @var default CMS page with personalizedOverview widget
     */
    public $defaultOverviewPage = '';

    /**
     * @var CMS pages with personalizedOverview widget per language
     */
    public $overviewPages = array();

    /**
     * @var string tagsSeparator
     */
    public $tagsSeparator = ', ';

    /**
     * @var string tagstyles
     */
    public $tagstyles = array();
	
    /**
     * @var string tagging tagmap entry name
     */
    public $tagging_name = 'tagging';

    /**
     * Import dependent classes
     *
     * @return void
     */
    public function init()
    {
        // import the module-level components
        $this->setImport(
            array(
                'tagcloud.components.*',
                'site.custom.modules.tagcloud.components.*',
            )
        );
    }

    /**
     * Translates a message to the specified language.
     *
     * @param string $str    message
     * @param array  $params params
     * @param string $dic    dictionary
     *
     * @return string
     */
    public static function t($str = '', $params = array(), $dic = 'tagcloud')
    {
        return Yii::t("tagcloudModule." . $dic, $str, $params);
    }
}
