<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * Widget for viewing navigation tree
 */

class TagcloudWidget extends BaseJuiWidget
{
    /**
     * @var $folderIds array contains folder IDs of content to show
     */
    public $folderIds = array();

    /**
     * language
     * @var lang
     */
    public $lang = '';

    /**
     * @var bool $usePersonalisation defines if personalisation should be performed
     */
    public $usePersonalisation = true;

    /**
     * @var CMS pages with personalizedOverview widget
     */
    public $overviewPage = '';

    /**
     * @var string tagsSeparator
     */
    public $tagsSeparator = ', ';

    /**
     * @var string tagstyles
     */
    public $tagstyles = array();

    /**
     * @var integer the limit of tags number
     */
    public $limit = 10;
    /**
     * Initializes the widget.
     *
     * @return void
     */
    public function init()
    {
        //die('this is init');
    }

    /**
     * renders view
     *
     * @throws Exception
     * @return void
     */
    public function run()
    {
        if (!empty($this->folderIds)) {
            $content = new TagcloudApi();
            $content->folderIds = $this->folderIds;
            $content->usePersonalisation = $this->usePersonalisation;
            $content->lang = substr(Yii::app()->language, 0, 2);
            $content->tagstyles = !empty($this->tagstyles) ? $this->tagstyles : Yii::app()->getModule('tagcloud')->tagstyles;
            $content->tagsSeparator = !empty($this->tagsSeparator) ? $this->tagsSeparator : Yii::app()->getModule('tagcloud')->tagsSeparator;

            if (!empty($this->overviewPage)) {
                $content->overviewPage = $this->overviewPage;

            } else if (!empty(Yii::app()->getModule('tagcloud')->overviewPages[$this->lang])) {
                $content->overviewPage = Yii::app()->getModule('tagcloud')->overviewPages[$this->lang];

            } else {
                $content->overviewPage = Yii::app()->getModule('tagcloud')->defaultOverviewPage;
            }

            if ($content->run($this->limit) && !empty($content->tags)) {

                $this->render('TagcloudWidget', array('content'=>$content));
            }

        } else {
            throw new Exception('TagcloudWidget error: folderIds is required parameters and can`t be blank ');
        }
    }

}